# Uses of Interface
org.springframework.cache.Cache

Packages that use Cache
Package
Description
org.springframework.cache
Spring's generic cache abstraction.
org.springframework.cache.concurrent
Implementation package for `java.util.concurrent` based caches.
org.springframework.cache.interceptor
AOP-based solution for declarative caching demarcation.
org.springframework.cache.support
Support classes for the org.springframework.cache package.

## Uses of Cache in org.springframework.cache

Methods in org.springframework.cache that return Cache
Modifier and Type
Method
Description
`Cache`
CacheManager.`getCache(String name)`
Get the cache associated with the given name.

## Uses of Cache in org.springframework.cache.concurrent

Classes in org.springframework.cache.concurrent that implement Cache
Modifier and Type
Class
Description
`class`
`ConcurrentMapCache`
Simple `Cache` implementation based on the core JDK `java.util.concurrent` package.
Methods in org.springframework.cache.concurrent that return Cache
Modifier and Type
Method
Description
`protected Cache`
ConcurrentMapCacheManager.`createConcurrentMapCache(String name)`
Create a new ConcurrentMapCache instance for the specified cache name.
`Cache`
ConcurrentMapCacheManager.`getCache(String name)`

## Uses of Cache in org.springframework.cache.interceptor

Methods in org.springframework.cache.interceptor that return types with arguments of type Cache
Modifier and Type
Method
Description
`protected Collection<? extends Cache>`
CacheAspectSupport.CacheOperationContext.`getCaches()`
`protected Collection<? extends Cache>`
CacheAspectSupport.`getCaches(CacheOperationInvocationContext<CacheOperation> context, CacheResolver cacheResolver)`
`Collection<? extends Cache>`
AbstractCacheResolver.`resolveCaches(CacheOperationInvocationContext<?> context)`
`Collection<? extends Cache>`
CacheResolver.`resolveCaches(CacheOperationInvocationContext<?> context)`
Return the cache(s) to use for the specified invocation.
Methods in org.springframework.cache.interceptor with parameters of type Cache
Modifier and Type
Method
Description
`protected void`
AbstractCacheInvoker.`doClear(Cache cache, boolean immediate)`
Execute `clear()` on the specified `Cache` and invoke the error handler if an exception occurs.
`protected void`
AbstractCacheInvoker.`doEvict(Cache cache, Object key, boolean immediate)`
Execute `evict(Object)`/`evictIfPresent(Object)` on the specified `Cache` and invoke the error handler if an exception occurs.
`protected Cache.ValueWrapper`
AbstractCacheInvoker.`doGet(Cache cache, Object key)`
Execute `get(Object)` on the specified `Cache` and invoke the error handler if an exception occurs.
`protected <T> T`
AbstractCacheInvoker.`doGet(Cache cache, Object key, Callable<T> valueLoader)`
Execute `get(Object, Callable)` on the specified `Cache` and invoke the error handler if an exception occurs.
`protected void`
AbstractCacheInvoker.`doPut(Cache cache, Object key, Object value)`
Execute `put(Object, Object)` on the specified `Cache` and invoke the error handler if an exception occurs.
`protected CompletableFuture<?>`
AbstractCacheInvoker.`doRetrieve(Cache cache, Object key)`
Execute `retrieve(Object)` on the specified `Cache` and invoke the error handler if an exception occurs.
`protected <T> CompletableFuture<T>`
AbstractCacheInvoker.`doRetrieve(Cache cache, Object key, Supplier<CompletableFuture<T>> valueLoader)`
Execute `retrieve(Object, Supplier)` on the specified `Cache` and invoke the error handler if an exception occurs.
`void`
CacheErrorHandler.`handleCacheClearError(RuntimeException exception, Cache cache)`
Handle the given runtime exception thrown by the cache provider when clearing the specified `Cache`, possibly rethrowing it as a fatal exception.
`void`
LoggingCacheErrorHandler.`handleCacheClearError(RuntimeException exception, Cache cache)`
`void`
SimpleCacheErrorHandler.`handleCacheClearError(RuntimeException exception, Cache cache)`
`void`
CacheErrorHandler.`handleCacheEvictError(RuntimeException exception, Cache cache, Object key)`
Handle the given runtime exception thrown by the cache provider when clearing an item with the specified `key`, possibly rethrowing it as a fatal exception.
`void`
LoggingCacheErrorHandler.`handleCacheEvictError(RuntimeException exception, Cache cache, Object key)`
`void`
SimpleCacheErrorHandler.`handleCacheEvictError(RuntimeException exception, Cache cache, Object key)`
`void`
CacheErrorHandler.`handleCacheGetError(RuntimeException exception, Cache cache, Object key)`
Handle the given runtime exception thrown by the cache provider when retrieving an item with the specified `key`, possibly rethrowing it as a fatal exception.
`void`
LoggingCacheErrorHandler.`handleCacheGetError(RuntimeException exception, Cache cache, Object key)`
`void`
SimpleCacheErrorHandler.`handleCacheGetError(RuntimeException exception, Cache cache, Object key)`
`void`
CacheErrorHandler.`handleCachePutError(RuntimeException exception, Cache cache, Object key, Object value)`
Handle the given runtime exception thrown by the cache provider when updating an item with the specified `key` and `value`, possibly rethrowing it as a fatal exception.
`void`
LoggingCacheErrorHandler.`handleCachePutError(RuntimeException exception, Cache cache, Object key, Object value)`
`void`
SimpleCacheErrorHandler.`handleCachePutError(RuntimeException exception, Cache cache, Object key, Object value)`

## Uses of Cache in org.springframework.cache.support

Classes in org.springframework.cache.support that implement Cache
Modifier and Type
Class
Description
`class`
`AbstractValueAdaptingCache`
Common base class for `Cache` implementations that need to adapt `null` values (and potentially other such special values) before passing them on to the underlying store.
`class`
`NoOpCache`
A no operation `Cache` implementation suitable for disabling caching.
Methods in org.springframework.cache.support that return Cache
Modifier and Type
Method
Description
`protected Cache`
AbstractCacheManager.`decorateCache(Cache cache)`
Decorate the given Cache object if necessary.
`Cache`
AbstractCacheManager.`getCache(String name)`
`Cache`
CompositeCacheManager.`getCache(String name)`
`Cache`
NoOpCacheManager.`getCache(String name)`
This implementation always returns a `Cache` implementation that will not store items.
`protected Cache`
AbstractCacheManager.`getMissingCache(String name)`
Return a missing cache with the specified `name`, or `null` if such a cache does not exist or could not be created on demand.
`protected final Cache`
AbstractCacheManager.`lookupCache(String name)`
Check for a registered cache of the given name.
Methods in org.springframework.cache.support that return types with arguments of type Cache
Modifier and Type
Method
Description
`protected abstract Collection<? extends Cache>`
AbstractCacheManager.`loadCaches()`
Load the initial caches for this cache manager.
`protected Collection<? extends Cache>`
SimpleCacheManager.`loadCaches()`
Methods in org.springframework.cache.support with parameters of type Cache
Modifier and Type
Method
Description
`protected Cache`
AbstractCacheManager.`decorateCache(Cache cache)`
Decorate the given Cache object if necessary.
Method parameters in org.springframework.cache.support with type arguments of type Cache
Modifier and Type
Method
Description
`void`
SimpleCacheManager.`setCaches(Collection<? extends Cache> caches)`
Specify the collection of Cache instances to use for this CacheManager.